#include <iostream>
using namespace std;
int main(){
    char c1,c2;
    cin>>c1>>c2;
    int a1,a2;
    cin>>a1>>a2;
        if(a1-a2==1){
            while(a1>1){
                cout<<c1;
                cout<<c2;
                a1--;
            }
            cout<<c1;
        }else{
            if(a2-a1==1){
                while(a2>1){
                    cout<<c2;
                    cout<<c1;
                    a2--;
                }
                cout<<c2;
            }else{
                if(a1==a2){
                    while(a1>0){
                        cout<<c1;
                        cout<<c2;
                        a1--;
                    }
                }else{
                    cout<<"nemoguce";
                }
            }
        }

 return 0;
}